Name:          plexus-pom
Version:       6.4
Release:       %mkrel 2
Group:         Development/Java
Summary:       Root Plexus Projects POM
License:       ASL 2.0

URL:           https://github.com/codehaus-plexus/plexus-pom
Source0:       %{url}/archive/plexus-%{version}.tar.gz
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)

%description
The Plexus project provides a full software stack for creating and
executing software projects.  This package provides parent POM for
Plexus packages.

%prep
%setup -q -n plexus-pom-plexus-%{version}

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :taglist-maven-plugin

cp -p %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE




%changelog
* Sat Jan 09 2021 daviddavid <daviddavid> 6.4-2.mga8
+ Revision: 1670132
- Rebuilt for JDK-11

* Fri Aug 21 2020 neoclust <neoclust> 6.4-1.mga8
+ Revision: 1617229
- New version 6.4

* Wed Feb 12 2020 umeabot <umeabot> 5.0-2.mga8
+ Revision: 1507482
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 daviddavid <daviddavid> 5.0-1.mga7
+ Revision: 1288183
- Update to upstream version 5.0 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 3.3.3-5.mga7
+ Revision: 1274446
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.3.3-3.mga6
+ Revision: 977785
- First rebuild of the java stack
- sync package plexus-pom with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.1-5.mga5
+ Revision: 744660
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 3.3.1-2.mga4
+ Revision: 488731
- Build with xmvn

* Mon Jul 08 2013 dmorgan <dmorgan> 3.3.1-1.mga4
+ Revision: 451478
- Update to 3.3.1

* Mon Jul 08 2013 dmorgan <dmorgan> 3.0.1-4.mga4
+ Revision: 451085
- Install LICENSE file

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-3.mga3
+ Revision: 377903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3.0.1-2.mga3
+ Revision: 292666
- Clean spec file

* Sat Mar 03 2012 gil <gil> 3.0.1-1.mga3
+ Revision: 217620
- imported package plexus-pom


* Wed Feb 08 2012 gil <gil> 3.0.1-1
- initial rpm